export interface IRetryPolicy {
    retries: number;
    delay?: number;
    backoff?: number;
}
export declare function retry(policy: IRetryPolicy): {
    new (): {
        attempts: number;
        onError(req: any, err: any): Promise<{
            retry: boolean;
        }>;
    };
};
